## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests now require a docker-based proxy.
%bcond_with     tests

%global         srcname     azure-mgmt-sql
%global         tarball_name azure_mgmt_sql

Name:           python-%{srcname}
Version:        4.0.0~b21
%global         pypi_version    4.0.0b21
Release:        %autorelease
Summary:        Microsoft Azure SQL Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{tarball_name} %{pypi_version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure SQL Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{tarball_name}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:4.0.0~b21-1
- Update to v4b21

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1:4.0.0~b20-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 25 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:4.0.0~b20-1
- Update to v4.0.0b20

* Mon Oct 28 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:4.0.0~b19-1
- Update to v4.0.0b19

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 11 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:4.0.0~b17-1
- Update to v4.0.0b17

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:4.0.0~b16-2
- Rebuilt for Python 3.13

* Tue May 07 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:4.0.0~b16-1
- Update to version 4.0.0b16

* Tue Feb 06 2024 Major Hayden <major@redhat.com> - 1:4.0.0~b15-1
- Update to 4.0.0b15 rhbz#2263011

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 1:4.0.0~b13-1
- Update to 4.0.0b13 rhbz#2253123

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 06 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b12-1
- Update to 4.0.0b12

* Wed Sep 06 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b10-5
- Migrated to SPDX license

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:4.0.0~b10-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b10-2
- S

* Tue Apr 25 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b10-1
- Update to 4.0.0b10

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b8-1
- Update to 4.0.0b8

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b7-1
- Update to 4.0.0b7

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> - 1:4.0.0~b6-1
- Update to 4.0.0b6

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 1:4.0.0~b5-1
- Update to 4.0.0b5

* Tue Nov 01 2022 Major Hayden <major@redhat.com> - 1:4.0.0~b4-1
- Update to 4.0.0b4

* Fri Oct 14 2022 Major Hayden <major@redhat.com> - 1:4.0.0~b3-1
- Update to 4.0.0~b3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.0~b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Major Hayden <major@redhat.com> - 1:4.0.0~b2-1
- Update to 4.0.0b2

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 1:4.0.0~b1-4
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:4.0.0~b1-3
- Rebuilt for Python 3.11

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 1:4.0.0~b1-2
- Disable tests in EPEL 9

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 1:4.0.0~b1-1
- Update to 4.0.0b1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:3.0.1-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:3.0.1-1
- Update to 3.0.1

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.29.1-3
- Update docs file list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.29.1-2
- Add epoch number for 0.29.1 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:0.29.1-1
- Downgrade to 0.29.1

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 3.0.1-1
- Update to 3.0.1

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 2.1.0-1
- Intial import (#1971860)
## END: Generated by rpmautospec
